Elm_Gen_Item Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
Elm_Gen_Item Struct Reference

## Data Fields
Elm_Widget_Item_Data * | base
| EINA_INLIST
Elm_Gen_Item_Type * | item
const Elm_Gen_Item_Class * | itc
Evas_Coord | x
Evas_Coord | y
Evas_Coord | dx
Evas_Coord | dy
Evas_Object * | spacer
Evas_Object * | deco_all_view
Elm_Gen_Item * | parent
Eina_List * | texts
Eina_List * | contents
Eina_List * | states
Eina_List * | content_objs
Ecore_Timer * | long_timer
int | generation
| a generation of an item.
const char * | mouse_cursor
Eina_List * | item_focus_chain
struct {
Evas_Smart_Cb func
const void * data
} | func
Elm_Gen_Item_Tooltip | tooltip
Ecore_Cb | del_cb
Ecore_Cb | unrealize_cb
Ecore_Cb | sel_cb
Ecore_Cb | unsel_cb
Ecore_Cb | highlight_cb
Ecore_Cb | unhighlight_cb
int | position
Elm_Object_Select_Mode | select_mode
Eina_Bool | position_update: 1
Eina_Bool | want_unrealize: 1
Eina_Bool | realized: 1
Eina_Bool | selected: 1
Eina_Bool | highlighted: 1
Eina_Bool | dragging: 1
| this is set true when an item is being dragged.
Eina_Bool | down: 1
Eina_Bool | group: 1
Eina_Bool | reorder: 1
Eina_Bool | decorate_it_set: 1
| item uses style mode for highlight/select
Eina_Bool | flipped: 1
| a flag that shows the flip status of the item.
Eina_Bool | has_contents: 1
| content objs have or previously did exist (size calcs)
Eina_Bool | cursor_engine_only: 1
Eina_Bool | hide: 1
| flag used for hiding the items which do not match filter text
Eina_Bool | filtered: 1
| flag used to indicate whether or not item has been filtered
Eina_Bool | callbacks: 1

## Field Documentation

## ◆ generation

int Elm_Gen_Item::generation

a generation of an item.

when the item is created, this value is set to the value of genlist/gengrid generation. this value will be decreased when the item is going to be deleted

## ◆ dragging

Eina_Bool Elm_Gen_Item::dragging

this is set true when an item is being dragged.

this is set false on multidown/mouseup/mousedown. when this is true, the item should not be unrealized. or evas mouse down/up event will be corrupted.